:root {
    --header-bg-color: #1F553A;
    --main-bg-color: #05140E;
    --footer-bg-color: #0C1913;
    --main-text-color: #FFFFFF;
    --link-text-color: #C9924D;
    --button-text-color: #FFFFFF;
    --button-bg-color: #C9924D;
    --button-second-bg-color: #C9924D;
}

html, body, div, span, object, iframe, figure, h1, h2, h3, h4, h5, h6, p, blockquote, pre, a, code, em, img, small, strike, strong, sub, sup, tt, b, u, i, fieldset, form, label, table, caption, tbody, tfoot, thead, tr, th, td, main, canvas, embed, footer, header, nav, section, video {
    margin: 0;
    padding: 0;
    border: 0;
    font-size: 100%;
    font: inherit;
    vertical-align: baseline;
    text-rendering: optimizeLegibility;
    -webkit-font-smoothing: antialiased;
    text-size-adjust: none;
}

html, body {
    margin: 0;
    padding: 0;
}

html {
    box-sizing: border-box;
}

body {
    display: flex;
    flex-direction: column;
    font-family: ADLaM Display, sans-serif;
    line-height: 1.6;
    color: var(--main-text-color);
}

button {
    font-family: ADLaM Display, sans-serif;
    cursor: pointer;
}

a {
    color: var(--link-text-color);
    transition: all 0.3s ease;
}

a:hover {
    text-decoration: none;
    color: var(--link-text-color);
    opacity: 70%;
}

a:active {
    opacity: 30%;
}

h1, h2, h3, h4 {
    color: var(--main-text-color);
}

h1 {
    font-size: 50px;
    font-weight: 900;
    line-height: 45px;
    margin-bottom: 30px;
    text-align: center;
}
@media screen and (max-width: 992px) {
    h1 {
        font-size: 30px;
        line-height: 42px;
    }
}

h2 {
    font-size: 36px;
    font-weight: 700;
    line-height: 54px;
    margin-bottom: 30px;
}
@media screen and (max-width: 992px) {
    h2 {
        font-size: 30px;
        line-height: 44px;
    }
}

h3 {
    font-size: 30px;
    font-weight: 700;
    line-height: 44px;
    margin-bottom: 30px;
}
@media screen and (max-width: 992px) {
    h3 {
        font-size: 24px;
        line-height: 32px;
    }
}

p {
    font-size: 15px;
    letter-spacing: normal;
    font-weight: 400;
    margin-bottom: 10px;
    line-height: 24px;
}
@media screen and (max-width: 992px) {
    p {
        font-size: 14px;
        line-height: 29px;
    }
}

strong {
    font-weight: 600;
}
table {
    width: 100%;
    border-collapse: separate;
    border-spacing: 0;
    white-space: nowrap;
    display: block;
    overflow-x: auto;
    max-width: 100%;
    border-radius: 10px;
    margin-bottom: 20px;
}

table p {
    margin: 0;
}

tbody {
    width: calc(100% - 2px);
    display: table;
}

th {
    background: var(--footer-bg-color);
}

th, td {
    border: 1px solid var(--main-text-color);
    padding: 8px;
    box-sizing: border-box;
}

th:first-child {
    border-top-left-radius: 10px;
}

th:last-child {
    border-top-right-radius: 10px;
}

tr:last-child td:first-child {
    border-bottom-left-radius: 10px;
}

tr:last-child td:last-child {
    border-bottom-right-radius: 10px;
}

tr:first-child td:first-child {
    border-top-left-radius: 10px;
}

tr:first-child td:last-child {
    border-top-right-radius: 10px;
}

table::-webkit-scrollbar {
    height: 8px;
}

table::-webkit-scrollbar-thumb {
    background: rgba(255, 255, 255, 0.3);
    border-radius: 4px;
}

table::-webkit-scrollbar-track {
    background: rgba(255, 255, 255, 0.1);
}

footer, header, nav, section, main {
    display: block;
    position: relative;
}

main {
    flex: 1 0 auto;
    background-color: var(--main-bg-color);
    position: relative;
}

section {
    padding: 30px 0;
}

@media screen and (max-width: 768px) {
    section {
        padding: 30px 0;
    }
}

.lastradaComsgContainer {
    max-width: 1220px;
    margin: 0 auto;
    padding: 0 30px;
}

@media (max-width: 1200px) {
    .lastradaComsgContainer {
        max-width: 100%;
    }
}

@media (max-width: 768px) {
    .lastradaComsgContainer {
        padding: 0 15px;
    }
}

img {
    width: 100%;
    height: auto;
    border-radius: 10px;
}


.lastradaComsgRow {
    display: flex;
    justify-content: space-between;
    gap: 20px;
}
.lastradaComsgCol:first-child {
    width: 820px;

}
.lastradaComsgCol:last-child {
    flex: 0 0 330px;
}
@media (max-width: 1030px) {
    .lastradaComsgRow {
        flex-wrap: wrap;
        justify-content: center;
    }
    .lastradaComsgCol:first-child, .lastradaComsgCol:last-child {
        width: 100%;
        flex: auto;
    }
}

.lastradaComsgJcEnd {
    justify-content: end !important;
}

.lastradaComsgJcCenter {
    justify-content: center;
}

.lastradaComsgBtn {
    display: flex;
    justify-content: center;
    align-items: center;
    text-decoration: none;
    text-align: center;
    font-weight: 700;
    font-size: 16px;
    line-height: inherit;
    height: auto;
    padding: 12px 28px;
    border-radius: 8px;
    cursor: pointer;
    transition: all 0.3s ease;
}

.lastradaComsgBtn__wrapper {
    display: flex;
    justify-content: center;
    gap: 20px;
}

@media screen and (max-width: 768px) {
    .lastradaComsgBtn__wrapper {
        gap: 20px;
    }
}
.lastradaComsgBtnPrimary {
    color: var(--button-text-color);
    background-color: var(--button-bg-color);
    border: 2px solid var(--button-bg-color);
}

.lastradaComsgBtnPrimary:hover {
    color: var(--button-text-color);
    background-color: color-mix(
            in srgb,
            var(--button-bg-color) 70%,
            transparent
    );
    border-color: var(--button-bg-color);
}

.lastradaComsgBtnPrimary:active {
    background-color: color-mix(
            in srgb,
            var(--button-bg-color) 30%,
            transparent
    );
}

.lastradaComsgBtnSecondary {
    color: var(--button-text-color);
    background-color: var(--button-second-bg-color);
    border: 2px solid var(--button-second-bg-color);
}

.lastradaComsgBtnSecondary:hover {
    color: var(--button-text-color);
    background-color: color-mix(
            in srgb,
            var(--button-second-bg-color) 70%,
            transparent
    );
    border-color: var(--button-second-bg-color);
}

.lastradaComsgBtnSecondary:active {
    background-color: color-mix(
            in srgb,
            var(--button-second-bg-color) 30%,
            transparent
    );
}

.lastradaComsgBtnUppercase {
    text-transform: uppercase;
}

.lastradaComsgHeader {
    background-color: var(--header-bg-color);
    box-shadow: 0 4px 15px 0 rgba(0, 0, 0, 0.25);
    position: sticky;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 1000;
    transition: transform 0.3s ease;
}

.lastradaComsgHeader ul, .lastradaComsgHeader ol, .lastradaComsgHeader li,
.lastradaComsgFooter ul, .lastradaComsgFooter ol, .lastradaComsgFooter li {
    margin: 0;
    padding: 0;
    border: 0;
    list-style-type: none;
    font-size: 100%;
    font: inherit;
    vertical-align: baseline;
    text-rendering: optimizeLegibility;
    -webkit-font-smoothing: antialiased;
    text-size-adjust: none;
}

.lastradaComsgHeader__wrapper {
    margin: 0 auto;
    padding: 0 30px;
}

@media (max-width: 768px) {
    .lastradaComsgHeader__wrapper {
        max-width: 100%;
        padding: 0 15px;
    }
}

.lastradaComsgHeader__inner {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 30px;
}

.lastradaComsgHeader__innerPrimary {
    display: none;
    align-items: center;
    justify-content: space-between;
    flex: auto;
}

.lastradaComsgHeader__innerSecond {
    display: flex;
    align-items: center;
    gap: 10px;
}

.lastradaComsgHeader__row {
    flex-direction: row;
    height: 80px;
}

.lastradaComsgHeader__innerSecond .lastradaComsgHeader__row {
    flex-direction: row;
    gap: 10px;
    height: auto;
}

.lastradaComsgHeader__col {
    flex-direction: column;
}

.lastradaComsgHeader__innerSecond.lastradaComsgHeader__col {
    padding: 10px 0;
}

.lastradaComsgHeader__logo {
    display: flex;
    max-height: 55px;
    max-width: 215px;
    height: 100%;
}

.lastradaComsgHeader__logo a {
    text-decoration: none;
    display: flex;
}
.lastradaComsgHeader__logo img {
    object-fit: contain;
    border-radius: initial;
}

.lastradaComsgHeader__nav {
    display: flex;
}
.lastradaComsgHeader__nav ul {
    display: flex;
    gap: 10px;
    height: 100%;
    list-style-type: none;
    padding: 0;
    margin: 0;
}

.lastradaComsgHeader__nav ul li {
    display: flex;
    align-items: center;
    height: 100%;
}

.lastradaComsgHeader__nav ul li a {
    display: flex;
    gap: 12px;
    color: var(--link-text-color);
    text-decoration: none;
    padding: 10px;
}

.lastradaComsgHeader__nav ul li a:hover {
    opacity: 60%;
}

.lastradaComsgHeader__nav ul li a:active {
    opacity: 30%;
}

.lastradaComsgHeader__nav ul li a svg path {
    fill: var(--link-text-color) !important;
}

.lastradaComsgHeader__nav ul li a span {
    color: var(--link-text-color);
}

.lastradaComsgDownloadAppBlock {
    display: flex;
    justify-content: normal;
    margin-top: auto;
    position: relative;
    width: 178px;
    height: 70px;
    border: 2px solid var(--button-second-bg-color);
    border-radius: 10px;
    padding: 15px 10px;
    font-weight: 800;
    font-size: 14px;
    line-height: 100%;
    background: rgba(from var(--button-second-bg-color) r g b / 0.9);
}

.lastradaComsgDownloadAppBlock:hover {
    background-color: color-mix(
            in srgb,
            var(--button-second-bg-color) 70%,
            transparent
    );
    border-color: var(--button-second-bg-color);
}

.lastradaComsgDownloadAppBlock:active {
    background-color: color-mix(
            in srgb,
            var(--button-second-bg-color) 30%,
            transparent
    );
    border-color: var(--button-second-bg-color);
}

.lastradaComsgDownloadAppBlock__content p {
    display: flex;
    align-items: center;
    gap: 2px;
    color: var(--button-text-color);
    max-width: 100px;
    font-weight: 800;
    font-size: 12px;
    line-height: 100%;
    text-align: center;
    vertical-align: middle;
    margin: 0;
}

.lastradaComsgDownloadAppBlock__content p span {
    max-width: 66px;
    z-index: 110;
}

.lastradaComsgDownloadAppBlock__content p svg {
    width: 20px;
    height: 20px;
    z-index: 110;
}

.lastradaComsgDownloadAppBlock__content svg path {
    fill: var(--button-text-color) !important;
}

img.lastradaComsgDownloadAppIcon {
    position: absolute;
    top: -2px;
    right: 0;
    width: 60px;
    height: 70px;
    z-index: 100;
}


.lastradaComsgSection img  {
    max-width: 1163px;
    display: block;
    margin: auto;
}

.lastradaComsgSectionMain .lastradaComsgContainer > :not(:last-child) {
    margin-bottom: 30px;
}

.lastradaComsgBtn__wrapperMain {
    max-width: 300px;
    width: 100%;
    margin: auto;
}

.lastradaComsgBtn__wrapperMain .lastradaComsgBtnPrimary {
    padding: 15px 52px;
    border-radius: 10px;
}

.lastradaComsgBurgerMenu {
    display: none;
    flex-direction: column;
    justify-content: space-between;
    width: 12px;
    height: 10px;
    cursor: pointer;
    padding: 7px;
    background-color: var(--button-second-bg-color);
    border-radius: 5px;
}

.lastradaComsgBurgerMenu span {
    display: block;
    width: 100%;
    height: 1.6px;
    background-color: var(--main-text-color);
    border-radius: 2px;
    transition: all 0.3s ease-in-out;
}

.lastradaComsgBurgerMenu span:nth-child(2) {
    width: 60%;
}

.lastradaComsgBurgerMenu.lastradaComsgActive {
    border-radius: 5px;
}

.lastradaComsgBurgerMenu.lastradaComsgActive span:nth-child(1) {
    transform: translateY(4px) rotate(45deg);
}

.lastradaComsgBurgerMenu.lastradaComsgActive span:nth-child(2) {
    opacity: 0;
}

.lastradaComsgBurgerMenu.lastradaComsgActive span:nth-child(3) {
    transform: translateY(-4px) rotate(-45deg);
}

.lastradaComsgSectionContent h1:first-of-type,
.lastradaComsgSectionContent h2:first-of-type,
.lastradaComsgSectionContent h3:first-of-type,
.lastradaComsgSectionContent h4:first-of-type {
    margin-top: 0;
    margin-bottom: 30px;
}

.lastradaComsgSectionContent h1:not(:first-of-type),
.lastradaComsgSectionContent h2:not(:first-of-type),
.lastradaComsgSectionContent h3:not(:first-of-type),
.lastradaComsgSectionContent h4:not(:first-of-type) {
    margin: 30px 0;
}

.lastradaComsgSectionContent .lastradaComsgUpdatePost {
    display: flex;
    align-items: center;
}

.lastradaComsgSectionContent .lastradaComsgUpdatePost p {
    width: 100%;
    margin: 0;
    padding: 20px;
    border-radius: 10px;
    border: 1px solid var(--main-text-color);
}

footer {
    flex-shrink: 0;
    background-color: var(--footer-bg-color);
    color: var(--main-text-color);
}

.lastradaComsgFooter__wrapper {
    display: flex;
    flex-direction: column;
    padding: 20px 0;
    gap: 20px;
}

.lastradaComsgFooter__nav, .lastradaComsgFooter__icons, .lastradaComsgFooter__inner {
    display: flex;
    justify-content: center;
}

.lastradaComsgFooter__iconsLink img {
    border-radius: initial;
}

.lastradaComsgFooter__navList {
    display: flex;
    flex-wrap: wrap;
    list-style-type: none;
    justify-content: center;
    padding: 0;
    margin: 0;
    gap: 20px;
}

.lastradaComsgFooter__navLink {
    text-decoration: none;
    color: var(--link-text-color);
    font-size: 14px;
}
.lastradaComsgFooter__navLink:hover {
    color: var(--link-text-color);
}

.lastradaComsgFooter__icons {
    gap: 30px;
    flex-wrap: wrap;
    flex-direction: column;
    margin-bottom: 10px;
}

.lastradaComsgFooter__inner p {
    text-align: center;
    font-size: 14px;
    font-weight: 400;
    line-height: 1.4em;
}

.lastradaComsgBreadcrumbs {
    list-style: none;
    display: flex;
    flex-wrap: wrap;
    padding: 0;
    margin: 1em 0;
    font-size: 0.95em;
    gap: 0.5em;
}


.lastradaComsgBreadcrumbs li {
    display: flex;
    align-items: center;
}

.lastradaComsgBreadcrumbs li a {
    text-decoration: none;
    transition: color 0.2s ease-in-out;
}

.lastradaComsgBreadcrumbs li::after {
    content: "›";
    margin: 0 0.5em;
}

.lastradaComsgBreadcrumbs li:last-child::after {
    content: "";
    margin: 0;
}

.lastradaComsgContent__row {
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    gap: 30px;
}

.lastradaComsgContent__col {
    display: flex;
    flex-direction: column;
    gap: 20px;
    flex: 1 1;
}

.lastradaComsgContent__col.lastradaComsgContent__colImg {
    max-width: 550px;
}


.lastradaComsgBtn__wrapperLeft {
    margin: inherit;
    justify-content: flex-start;
}

.lastradaComsgContent__inner {
    position: relative;
    overflow: hidden;
    border-radius: 10px;
    max-width: 100%;
}

.lastradaComsgContent__innerBg {
    position: absolute;
    border-radius: 10px;
    inset: 0;
    z-index: 0;
}

.lastradaComsgContent__innerBg img {
    width: 100%;
    max-width: 100%;
    height: 100%;
    object-fit: cover;
    transition: transform 0.4s ease;
}

.lastradaComsgContent__innerOverlay {
    position: absolute;
    inset: 0;
    z-index: 1;
}

.lastradaComsgContent__innerBlock {
    display: flex;
    flex-direction: column;
    align-items: baseline;
    max-width: 742px;
    position: relative;
    z-index: 2;
    padding: 23px 40px;
}

.lastradaComsgContent__innerBlock p {
    margin-bottom: 30px;
}

.lastradaComsgContent__inner:has(p:nth-of-type(2)) .lastradaComsgContent__innerBg img {
    transform: scale(1.2);
}

.lastradaComsgContent__inner:has(p:nth-of-type(3)) .lastradaComsgContent__innerBg img {
    transform: scale(1.4);
}

.lastradaComsgWelcomeBonus {
    display: flex;
    position: fixed;
    bottom: -20px;
    left: calc(50% + 100px);
    transform: translate(-50%, -50%);
    width: 500px;
    height: 100px;
    border-radius: 7px;
    z-index: 20;
    box-shadow: 0px 0px 50px 0px #00000080;
    background: var(--header-bg-color);
    transition: opacity 0.3s ease;
}

.lastradaComsgWelcomeBonus.lastradaComsgHidden {
    opacity: 0;
    pointer-events: none;
}

.lastradaComsgWelcomeBonus__close {
    position: absolute;
    width: 10px;
    height: 10px;
    top: 6px;
    right: 6px;
    cursor: pointer;
    z-index: 9999;
}

.lastradaComsgWelcomeBonus__close svg {
    position: absolute;
    width: 10px;
    height: 10px;
}

.lastradaComsgWelcomeBonus__close svg path {
    stroke: var(--main-text-color) !important;
}

.lastradaComsgWelcomeBonus__wrapper {
    display: flex;
    width: 100%;
    justify-content: space-between;
    align-items: center;
    padding: 10px 20px;
    gap: 30px;
}

.lastradaComsgWelcomeBonus__img {
    width: 80px;
    height: 80px;
}

.lastradaComsgWelcomeBonus__img img {
    height: 100%;
    object-fit: contain;
}

.lastradaComsgWelcomeBonus__bonus {
    display: flex;
    flex-direction: column;
    gap: 10px;
    justify-content: center;
    align-items: center;
    max-width: 204px;
    width: 100%;
}

.lastradaComsgWelcomeBonus__bonus p {
    text-align: center;
    margin: 0;
    font-weight: 600;
    font-size: 26px;
    line-height: 100%;
    vertical-align: middle;
    color: var(--main-text-color);

}

.lastradaComsgWelcomeBonus__bonus span {
    font-weight: 400;
    font-size: 16px;
    line-height: 100%;

}

.lastradaComsgBtnBonus {
    display: flex;
    flex-direction: row;
    width: max-content;
    gap: 5px;
    padding: 12px 28px;
    border-radius: 8px;
}

.lastradaComsgCookieBlock {
    display: flex;
    position: fixed;
    bottom: 120px;
    left: calc(50% + 100px);
    transform: translate(-50%, -50%);
    width: max-content;
    min-width: 200px;
    height: 40px;
    border-radius: 7px;
    z-index: 10;
    box-shadow: 0px 0px 50px 0px #00000080;
    background: var(--header-bg-color);
    transition: opacity 0.3s ease;
}

.lastradaComsgCookieBlock__wrapper {
    display: flex;
    position: relative;
    padding: 10px 20px;
    width: 100%;
    gap: 10px;
    justify-content: center;
    align-items: center;
}

.lastradaComsgCookieBlock__icon {
    display: flex;
}

.lastradaComsgCookieBlock__close {
    width: 10px;
    height: 10px;
    top: 6px;
    right: 6px;
    cursor: pointer;
    z-index: 9999;
}

.lastradaComsgCookieBlock__content {
   margin: 0;
}

.lastradaComsgCookieBlock__content a {
    text-decoration: none;
}

.lastradaComsgCookieBlock__close svg {
    position: absolute;
    width: 10px;
    height: 10px;
}


@keyframes pulse {
    0% {
        transform: scale(1);
        box-shadow: 0 0 0 0 var(--button-bg-color);
    }
    50% {
        transform: scale(1.1);
        box-shadow: 0 0 15px 8px var(--button-bg-color);
    }
    100% {
        transform: scale(1);
        box-shadow: 0 0 0 0 var(--button-bg-color);
    }
}

.lastradaComsgShake {
    display: inline-block;
    animation: shake 0.6s;
    animation-timing-function: ease-in-out;
}

@keyframes shake {
    0%, 100% { transform: translateX(0); }
    15% { transform: translateX(-3px); }
    30% { transform: translateX(3px); }
    45% { transform: translateX(-3px); }
    60% { transform: translateX(3px); }
    75% { transform: translateX(-3px); }
    90% { transform: translateX(3px); }
}

.lastradaComsgShake {
    animation: shake 0.6s ease-in-out;
}

.lastradaComsgLayout {
    display: flex;
}

.lastradaComsgSidebar {
    position: relative;
    width: 178px;
    background-color: var(--header-bg-color);
    color: #fff;
    padding: 30px 11px;
    flex-shrink: 0;

}

.lastradaComsgSidebar__wrapper {
    position: fixed;
    height: calc(100vh - 141px);
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.lastradaComsgHeader__sidebar {
    flex-direction: column;
    row-gap: 60px;
}

.lastradaComsgHeader__sidebar .lastradaComsgBtn__wrapper {
    flex-direction: column;
    width: 100%;
}

.lastradaComsgHeader__sidebar .lastradaComsgHeader__nav ul {
    flex-direction: column;
    width: 100%;
}

.lastradaComsgHeader__sidebar .lastradaComsgHeader__navWrapper {
    position: absolute;
    width: 100%;
}

.lastradaComsgHeader__sidebar .lastradaComsgHeader__nav ul li {
    width: 100%;
    justify-content: center;
}

.lastradaComsgHeader__sidebar .lastradaComsgHeader__nav ul li a {
    display: flex;
    gap: 12px;
    width: 100%;
    padding: 12px 0;
}

#lastradaComsgMain {
    flex: 1;
}

.lastradaComsgFooter {
    margin-top: auto;
}

.lastradaComsgFooter__row {
    display: flex;
    flex-direction: row;
    gap: 30px;
    justify-content: space-between;
    align-items: center;
}
.lastradaComsgFooter__col {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.lastradaComsgFooter__logo {
    max-width: 132px;
}

.lastradaComsgFooter__logo a {
    display: flex;
}

.lastradaComsgFooter__logo img {
    border-radius: 0;
}
.lastradaComsgFooter__icons {
    justify-content: flex-start;
    width: 100%;
}

.lastradaComsgFooter__socials {
    display: flex;
    flex-direction: row;
    gap: 20px;
}

.lastradaComsgFooter__blockWrapper {
    display: flex;
    justify-content: space-between;
}

.lastradaComsgFooter__socialLink {
    display: inline-flex;
    width: 20px;
    height: 20px;
}

.lastradaComsgFooter__socialLink svg path {
    fill: var(--button-bg-color) !important;
}

.lastradaComsgErrorPage {
    align-content: center;
}
.lastradaComsgErrorPage__wrapper {
    text-align: center;
    display: flex;
    flex-direction: column;
    gap: 30px;
}

.lastradaComsgErrorPage .lastradaComsgErrorPage__wrapper h1, .lastradaComsgErrorPage .lastradaComsgErrorPage__wrapper p {
    margin-bottom: 0;
}

.lastradaComsgSlotsPreview__head {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 25px;
}

.lastradaComsgSlotsPreview__title {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
    font-weight: 600;
    font-size: 26px;
    line-height: 100%;
    margin-bottom: 0 !important;
}

.lastradaComsgSlotsPreview__title svg {
    width: 30px;
    height: 30px;
}

.lastradaComsgSlotsPreview__title svg path {
    fill: var(--link-text-color) !important;
}

.lastradaComsgSlotsPreview__main {
    display: flex;
    align-items: center;
    gap: 30px;
}

.lastradaComsgViewAll {
    color: var(--link-text-color);
    font-weight: 600;
    text-decoration: none;
}

.lastradaComsgSlotsPreview__nav, .lastradaComsgFooter__blockNav{
    display: flex;
    gap: 10px;
}

.lastradaComsgSlotsPreview__nav .lastradaComsgSwiperButtonPrev,
.lastradaComsgSlotsPreview__nav .lastradaComsgSwiperButtonNext,
.lastradaComsgFooter__blockNav .lastradaComsgSwiperButtonPrev,
.lastradaComsgFooter__blockNav .lastradaComsgSwiperButtonNext,
#lastradaComsgButtonTop {
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    width: 40px;
    height: 40px;
    background-color: var(--button-bg-color);
    border-radius: 10px;
    border: 2px solid var(--button-bg-color);
    color: var(--main-text-color);
    cursor: pointer;
    transition: all 0.3s ease;
}

.lastradaComsgFooter__blockNav .lastradaComsgSwiperButtonPrev,
.lastradaComsgFooter__blockNav .lastradaComsgSwiperButtonNext {
    width: 25px;
    height: 25px;
    border-radius: 6.25px;
    border-width: 1.5px;
}

.lastradaComsgSlotsPreview__nav .lastradaComsgSwiperButtonPrev:hover,
.lastradaComsgSlotsPreview__nav .lastradaComsgSwiperButtonNext:hover,
.lastradaComsgFooter__blockNav .lastradaComsgSwiperButtonPrev:hover,
.lastradaComsgFooter__blockNav .lastradaComsgSwiperButtonNext:hover,
#lastradaComsgButtonTop:hover {
    background-color: color-mix(
            in srgb,
            var(--button-bg-color) 70%,
            transparent
    );
    border-color: var(--button-bg-color);
}

.lastradaComsgSlotsPreview__nav .lastradaComsgSwiperButtonPrev:active,
.lastradaComsgSlotsPreview__nav .lastradaComsgSwiperButtonNext:active,
.lastradaComsgFooter__blockNav .lastradaComsgSwiperButtonPrev:active,
.lastradaComsgFooter__blockNav .lastradaComsgSwiperButtonNext:active,
#lastradaComsgButtonTop:active {
    background-color: color-mix(
            in srgb,
            var(--button-bg-color) 30%,
            transparent
    );
    border-color: var(--button-bg-color);
}

.lastradaComsgSlotsPreview__nav svg {
    width: 16px;
    height: 16px;
    fill: none;
    stroke: var(--button-text-color);
    stroke-width: 2.5;
    stroke-linecap: round;
    stroke-linejoin: round;
}

#lastradaComsgButtonTop {
    position: fixed;
    bottom: 30px;
    right: 30px;
    transition: background-color .3s,
    opacity .5s, visibility .5s;
    opacity: 0;
    visibility: hidden;
    z-index: 10;
    box-shadow: 0px 0px 20px 10px #00000040;
}

#lastradaComsgButtonTop.lastradaComsgShow {
    opacity: 1;
    visibility: visible;
}

.lastradaComsgSlotsPreview .lastradaComsgSwiper {
    width: 100%;
    overflow: hidden;
    position: relative;
}

.lastradaComsgSlotsPreview .lastradaComsgSwiperWrapper {
    display: flex;
}

.lastradaComsgSlotsPreview .lastradaComsgSwiperSlide {
    flex: 0 0 calc(100% / 5);
    box-sizing: border-box;
    padding: 0 6px;
    width: auto !important;
}

.lastradaComsgSlotCard {
    position: relative;
    overflow: hidden;
    border-radius: 12px;
}

.lastradaComsgSlotCard__image img {
    width: 100%;
    display: block;
}

.lastradaComsgSlotCard .lastradaComsgBtnSlotCard {
    padding: 17px 20px;
}

.lastradaComsgSlotCard__overlay {
    position: absolute;
    inset: 0;
    background: rgba(0, 0, 0, 0.6);
    display: flex;
    justify-content: center;
    align-items: center;
    opacity: 0;
    transition: opacity 0.3s ease;
}

.lastradaComsgSlotCard:hover .lastradaComsgSlotCard__overlay {
    opacity: 1;
}

.lastradaComsgProvidersSlider {
    width: 100%;
    overflow: hidden;
}

.lastradaComsgProvidersSwiper .lastradaComsgSwiperWrapper {
    display: flex;
}

.lastradaComsgProvidersSwiper .lastradaComsgSwiperSlide {
    flex: 0 0 calc(100% / 9);
    box-sizing: border-box;
    padding: 0 6px;
    width: auto !important;
}

.lastradaComsgFooter__blockProviders .lastradaComsgFooter__item {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: color-mix(
            in srgb,
            var(--header-bg-color) 60%,
            transparent
    );
    border-radius: 5px;
    height: 40px;

}
.lastradaComsgFooter__blockProviders .lastradaComsgFooter__item img {
    max-width: 80px;
}

.lastradaComsgFooter__blockInner {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.lastradaComsgFooter__block {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.lastradaComsgFooter__block span {
    font-weight: 600;
    font-size: 16px;
    line-height: 100%;
}

.lastradaComsgFooter__blockPayments .lastradaComsgFooter__blockWrapper {
    justify-content: start;
    gap: 15px;
    flex-wrap: wrap;
}

.lastradaComsgFooter__blockPayments .lastradaComsgFooter__item {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 70px;
    height: 28px;
    background-color: color-mix(
            in srgb,
            var(--header-bg-color) 60%,
            transparent
    );
    border-radius: 3.5px;
}

.lastradaComsgFooter__item img {
    border-radius: 0;
}

.lastradaComsgFooter__blockPayments .lastradaComsgFooter__item img {
    max-width: 56px;
}

.lastradaComsgContent__playButton {
    display: flex;
    justify-content: center;
    margin-top: 30px;
}

.lastradaComsgContent__playButton .lastradaComsgBtnPrimary {
    padding: 15px 52px;
    border-radius: 10px;
}

.lastradaComsgSlotsPage__grid {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    margin: auto;
    justify-content: center;
}

.lastradaComsgMenuOverlay{
    position:fixed;
    inset:0;
    background:rgba(0,0,0,.6);
    opacity:0;
    visibility:hidden;
    transition:.25s;
    z-index:998;
}

.lastradaComsgMenuOverlay.lastradaComsgActive{
    opacity:1;
    visibility:visible;
}

#lastradaComsgNavMenu{
    z-index:999;
}

body.lastradaComsgNoScroll{
    overflow:hidden;
}

@media screen and (max-width: 992px) {
    .lastradaComsgContent__wrapper {
        flex-direction: column;
    }

    .lastradaComsgContent__col.lastradaComsgContent__colImg {
        max-width: 100%;
    }

    .lastradaComsgProvidersSwiper .lastradaComsgSwiperSlide {
        flex: 0 0 calc(100% / 6);
        padding: 0 5px;
    }

    .lastradaComsgSlotsPage__grid .lastradaComsgSlotCard {
        width: 100%;
        max-width: 23.5%;
    }

}
@media screen and (max-width: 768px) {
    .lastradaComsgLayout {
        display: block;
    }
    .lastradaComsgSidebar {
        display: none;
    }

    .lastradaComsgHeader {
        display: block;
    }
    .lastradaComsgBurgerMenu {
        display: flex;
        order: -1;
    }
    .lastradaComsgHeader__inner {
        justify-content: space-between;
        gap: 20px;
    }
    .lastradaComsgHeader__logo {
        max-height: 50px;
    }
    .lastradaComsgHeader__logo img {
        max-width: 100px;
    }

    #lastradaComsgNavMenu {
        position: absolute;
        display: flex;
        top: 56px;
        left: 0;
        height: calc(100dvh - 56px);
        padding: 0 30px ;
        background-color: var(--header-bg-color);
        flex-direction: column;
        align-items: center;
        opacity: 0;
        visibility: hidden;
        transition: opacity 0.4s ease, visibility 0s linear 0.4s;
    }

    .lastradaComsgHeader__nav {
        display: flex;
        padding: 0;
        width: 100%;
    }

    .lastradaComsgHeader__nav ul {
        flex-direction: column;
        width: 100%;
        height: auto;
        padding: 20px 0;
        gap: 0;
    }

    .lastradaComsgHeader__nav ul li {
        padding: 10px 0;
    }

    .lastradaComsgHeader .lastradaComsgBtn {
        padding: 7px 17px;
        font-weight: 700;
        font-size: 10px;

    }

    #lastradaComsgNavMenu.lastradaComsgActive {
        opacity: 1;
        visibility: visible;
        transition: opacity 0.4s ease;
    }

    .lastradaComsgHeader__row {
        height: 56px;
    }

    .lastradaComsgHeader__innerSecond.lastradaComsgHeader__col {
        flex-direction: row;
    }

    .lastradaComsgDownloadAppBlock {
        padding: 7px 10px !important;
        margin-bottom: 15%;
    }

    .lastradaComsgFooter__navList {
        gap: 20px;
        justify-content: center;
        text-align: center;
    }

    .lastradaComsgFooter__row {
        flex-direction: column;
        align-items: center;
    }

    .lastradaComsgFooter__logo {
        margin: auto;
    }

    .lastradaComsgFooter__icons {
        justify-content: center;
    }

    .lastradaComsgFooter__rowLinkBlock {
        order: -1;
    }

    .lastradaComsgBreadcrumbs {
        font-size: 0.75em;
    }

    .lastradaComsgWelcomeBonus, .lastradaComsgCookieBlock {
        left: 50%;
    }
}

@media screen and (max-width: 600px) {

    section {
        padding: 10px 0;
    }

    section.lastradaComsgSectionMain {
        padding: 15px 0 20px 0;
    }

    section.lastradaComsgSectionContent {
        padding: 10px 0 20px 0;
    }

    .lastradaComsgBtn__wrapper {
        gap: 5px;
    }

    .lastradaComsgHeader__innerBlock {
        padding: 20px 25px;
    }

    .lastradaComsgContent__innerBlock {
        padding: 9px 14px;
    }

    .lastradaComsgContent__innerBlock p {
        margin-bottom: 15px;
    }

    .lastradaComsgContent__innerBlock h1 {
        margin-bottom: 10px;
    }

    .lastradaComsgContent__innerBlock .lastradaComsgBtn__wrapperMain .lastradaComsgBtnPrimary {
        padding: 8px 26px;
        border-radius: 5px;
    }

    .lastradaComsgContent__inner, .lastradaComsgContent__innerBg, .lastradaComsgContent__innerBg img {
        border-radius: 5px;
    }

    .lastradaComsgSlotsPreview__main {
        gap: 18px;
    }

    .lastradaComsgSlotsPreview__title {
        font-size: 20px;
        gap: 6px;
    }

    .lastradaComsgSlotsPreview__title svg {
        width: 15px;
        height: 15px;
    }

    .lastradaComsgViewAll {
        font-weight: 400;
        font-size: 12px;
    }

    .lastradaComsgSlotsPreview__nav {
        gap: 6px;
    }

    .lastradaComsgSlotsPreview__nav .lastradaComsgSwiperButtonPrev, .lastradaComsgSlotsPreview__nav .lastradaComsgSwiperButtonNext {
        width: 25px;
        height: 25px;
        border-radius: 6.25px;
        border-width: 1.5px;
    }

    .lastradaComsgSlotsPreview__nav svg {
        width: 10px;
        height: 10px;
    }

    .lastradaComsgSlotsPreview .lastradaComsgSwiperSlide {
        flex: 0 0 calc(100% / 3);
    }


    .lastradaComsgSlotsPage__grid .lastradaComsgSlotCard {
        width: 100%;
        max-width: 31%;
    }


    .lastradaComsgFooter__block {
        gap: 10px;
    }
    .lastradaComsgFooter__icons {
        gap: 20px;
        margin: 0;
    }

    .lastradaComsgFooter__row {
        gap: 20px;
    }

    .lastradaComsgProvidersSwiper .lastradaComsgSwiperSlide {
        flex: 0 0 calc(100% / 3);
    }


    .lastradaComsgWelcomeBonus {
        left: 0;
        bottom: 0;
        transform: none;
        width: 100%;
        border-radius: 0;
        z-index: 20;
    }

    .lastradaComsgWelcomeBonus__bonus {
        max-width: 140px;
    }

    .lastradaComsgWelcomeBonus__wrapper {
        gap: 14px;
    }

    .lastradaComsgWelcomeBonus__bonus p {
        font-size: 20px;
    }

    .lastradaComsgWelcomeBonus__bonus span {
        font-size: 14px;
    }

    .lastradaComsgBtnBonus {
        padding: 7px 17px;
        font-weight: 700;
        font-size: 14px;
    }

    #lastradaComsgButtonTop {
        bottom: 15px;
        right: 15px;
    }

    .lastradaComsgSlotCard .lastradaComsgBtnSlotCard, .lastradaComsgSlotsPage__grid .lastradaComsgSlotCard .lastradaComsgBtnSlotCard {
        padding: 9px 12px;
    }

    .lastradaComsgSlotCard .lastradaComsgBtnSlotCard svg, .lastradaComsgSlotsPage__grid .lastradaComsgSlotCard .lastradaComsgBtnSlotCard svg {
        width: 15px;
        height: 15px;
    }

    .lastradaComsgCookieBlock {
        bottom: 85px;
    }
}


/* TOC Styles */
.lastradaComsgToc {
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.4s ease;
    padding: 0 20px 0 40px;
    margin: 0;
    display: block;
    column-count: 3;
    column-gap: 40px;
}

.lastradaComsgToc li {
    break-inside: avoid;
    margin-bottom: 10px;
}

.lastradaComsgToc li::marker {
    color: var(--link-text-color);
}

.lastradaComsgTocWrapper {
    background-color: var(--header-bg-color);
    max-width: 100%;
    margin: 20px auto;
    border-radius: 10px;
    border: 1px solid var(--link-text-color);
}

.lastradaComsgTocTitle {
    display: flex;
    align-items: center;
    padding: 20px;
    gap: 10px;
}

.lastradaComsgToc.lastradaComsgIsOpen {
    margin: inherit;
    margin-top: 0;
    padding: 0 40px 0 40px;
    max-height: 2000px !important;
}

.lastradaComsgTocArrow {
    width: 20px;
    height: 21px;
    order: -1;
    display: inline-block;
    background-color: var(--link-text-color);
    -webkit-mask: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 20 21'><path d='M5.55054 7.1665L14.4489 7.1665C14.7429 7.1665 14.9777 7.26655 15.1534 7.46665C15.3291 7.66592 15.417 7.89882 15.417 8.16534C15.417 8.24899 15.4058 8.33632 15.3834 8.42735C15.3619 8.51756 15.3287 8.60407 15.284 8.6869L10.8114 15.8743C10.7076 16.0269 10.5886 16.1417 10.4544 16.2188C10.321 16.295 10.1697 16.3332 10.0003 16.3332C9.83099 16.3332 9.67963 16.295 9.54624 16.2188C9.41285 16.1425 9.29384 16.0277 9.1892 15.8743L4.71665 8.6869C4.67272 8.60407 4.63957 8.51674 4.61721 8.42489C4.59484 8.33304 4.58366 8.24571 4.58366 8.16288C4.58366 7.89554 4.67152 7.66264 4.84724 7.46419C5.02297 7.26573 5.2574 7.1665 5.55054 7.1665Z'/></svg>") no-repeat center/contain;
    -webkit-mask-repeat: no-repeat;
    -webkit-mask-position: center;
    -webkit-mask-size: contain;
    transition: transform 0.3s ease;
}

.lastradaComsgTocArrow.lastradaComsgRotated {
    transform: rotate(180deg);
    margin-bottom: -4px;
}

@media (max-width: 500px) {
    .lastradaComsgToc {
        column-count: 1;
    }
}
